<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.beanpodtech.allinone"
    tools:ignore="MissingLeanbackLauncher">

    <uses-feature
        android:name="android.hardware.touchscreen"
        android:required="false" />
    <uses-feature
        android:name="android.software.leanback"
        android:required="true" />

    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_MULTICAST_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission
        android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"
        tools:ignore="ProtectedPermissions" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.GET_TASKS" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" /> <!-- 自动更新URI跳转安装时需要 -->
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />
    <uses-permission
        android:name="android.permission.READ_LOGS"
        tools:ignore="ProtectedPermissions" />

    <application
        android:name="com.beanpodtech.allinone.application.EduApplication"
        android:allowBackup="true"
        android:defaultToDeviceProtectedStorage="true"
        android:directBootAware="true"
        android:hardwareAccelerated="false"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:usesCleartextTraffic="true"
        android:networkSecurityConfig="@xml/network_security_config"
        android:supportsRtl="true"
        android:theme="@android:style/Theme.NoTitleBar.Fullscreen">
        <activity android:name="com.beanpodtech.allinone.activity.FaceToFaceVideoActivity"></activity>
        <activity android:name="com.beanpodtech.allinone.activity.QAFullScreenActivity" />
        <activity
            android:name="com.beanpodtech.allinone.activity.QAActivity"
            android:theme="@style/Theme.AppCompat" />
        <activity
            android:name="com.beanpodtech.allinone.activity.RtcVideoQaActivity"
            android:theme="@style/MainDragActivityTheme" />
        <activity
            android:name="com.beanpodtech.allinone.activity.PrincipalVideoActivity"
            android:theme="@style/Theme.AppCompat" />
        <activity
            android:name="com.beanpodtech.allinone.activity.RecordActivity"
            android:theme="@style/Theme.AppCompat" />
        <activity
            android:name="com.beanpodtech.allinone.activity.SearchResultActivity"
            android:theme="@style/Theme.AppCompat" />
        <activity
            android:name="com.beanpodtech.allinone.activity.SearchActivity"
            android:theme="@style/Theme.AppCompat" />
        <activity
            android:name="com.beanpodtech.allinone.activity.AlivcPlayerActivity"
            android:theme="@style/Theme.AppCompat" />
        <activity
            android:name="com.beanpodtech.allinone.activity.IncreasedclassActivity"
            android:theme="@style/Theme.AppCompat" />
        <activity
            android:name="com.beanpodtech.allinone.activity.MyAccountActivity"
            android:theme="@style/Theme.AppCompat" />
        <activity
            android:name="com.beanpodtech.allinone.activity.FreetrialActivity"
            android:theme="@style/Theme.AppCompat" />
        <activity
            android:name="com.beanpodtech.allinone.activity.ClassTypeIntroductionActivity"
            android:theme="@style/Theme.AppCompat" />
        <activity
            android:name="com.beanpodtech.allinone.activity.SignOutActivity"
            android:theme="@style/Theme.AppCompat" />
        <activity
            android:name="com.tencent.bugly.beta.ui.BetaActivity"
            android:configChanges="keyboardHidden|orientation|screenSize|locale"
            android:theme="@android:style/Theme.Translucent" />
        <activity
            android:name="com.beanpodtech.allinone.activity.ChangePasswordActivity"
            android:theme="@style/Theme.AppCompat" />
        <activity
            android:name="com.beanpodtech.allinone.activity.BusinessPromotionAvtivity"
            android:theme="@style/Theme.AppCompat" />
        <activity
            android:name="com.beanpodtech.allinone.activity.ChangeBackgroundActivity"
            android:theme="@style/Theme.AppCompat" />
        <activity
            android:name="com.beanpodtech.allinone.activity.NativeAppActivity"
            android:theme="@style/Theme.AppCompat" />
        <activity
            android:name="com.beanpodtech.allinone.activity.HomeActivity"
            android:launchMode="singleTask"
            android:theme="@style/Theme.AppCompat" />
        <activity
            android:name="com.beanpodtech.allinone.activity.PlayvideoActivity"
            android:theme="@style/Theme.AppCompat" />
        <activity
            android:name="com.beanpodtech.allinone.activity.StartpageActivity"
            android:label="@string/app_name"
            android:launchMode="singleTask"
            android:theme="@style/Theme.AppCompat">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
<!--                <category android:name="android.intent.category.HOME" />-->
<!--                <category android:name="android.intent.category.DEFAULT" />-->
            </intent-filter>
        </activity>
        <activity
            android:name="com.beanpodtech.allinone.activity.MainActivity"
            android:banner="@drawable/app_icon_your_company"
            android:directBootAware="true"
            android:icon="@drawable/app_icon_your_company"
            android:label="@string/app_name"
            android:launchMode="singleTask"
            android:logo="@drawable/app_icon_your_company"
            android:theme="@style/Theme.AppCompat" />
        <activity android:name="com.beanpodtech.allinone.activity.StudyplanActivity" />
        <activity
            android:name="com.beanpodtech.allinone.activity.LoginActivity"
            android:banner="@drawable/app_icon_your_company"
            android:icon="@drawable/app_icon_your_company"
            android:label="@string/app_name"
            android:launchMode="singleTask"
            android:logo="@drawable/app_icon_your_company"
            android:theme="@style/Theme.AppCompat">

            <!--
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
            -->
        </activity>

        <activity
            android:name="com.beanpodtech.allinone.activity.PicActivity"
            android:launchMode="singleTop"
            android:theme="@style/activityTheme"/>

        <meta-data
            android:name="android.webkit.WebView.EnableSafeBrowsing"
            android:value="true" />

        <provider
            android:name="com.beanpodtech.allinone.utils.BuglyFileProvider"
            android:authorities="com.beanpodtech.allinone.fileProvider"
            android:exported="false"
            android:grantUriPermissions="true"
            tools:replace="name,authorities,exported,grantUriPermissions">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/provider_paths"
                tools:replace="android:resource" />
        </provider>

        <service
            android:name="com.beanpodtech.allinone.service.TimeCounterService"
            android:exported="false" />
    </application>

</manifest>